import java.util.Properties;
import java.io.*;

import Echo.TestHelper;
import Echo.Test;



public class EchoClient {
    public static void main(String args[])
    {
    	try {
            // Create and initialize orb
            Properties props = new Properties();
            props.setProperty("org.omg.CORBA.ORBClass", 
                              "es.tid.TIDorbj.core.TIDORB");
            props.setProperty("org.omg.CORBA.ORBSingletonClass", 
                              "es.tid.TIDorbj.core.SingletonORB");
            props.setProperty("es.tid.TIDorbj.trace.level", "4");
            props.setProperty("es.tid.TIDorbj.trace.file", "client.log");
            props.setProperty("es.tid.TIDorbj.max_blocked_time", "1500000");
            //props.setProperty("es.tid.TIDorbj.bidirectional", "BOTH");

            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,props);

//             // Get ior
//             String ior_str = null;
//             String dbior = "Test.ior";
//             File ior_fl = new File(dbior);
        
//             if (ior_fl.exists()) { //ior in file
//                 try {
//                     BufferedReader br = new BufferedReader(new FileReader(ior_fl));
//                     ior_str = br.readLine();
//                     br.close();
//                 } catch (java.io.IOException e) {
//                     System.err.println("Error reading file " + dbior);
//                     System.exit(1);
//                 }
//             }
//             else { //ior in standard input
//                 try {
//                     BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
//                     ior_str = br.readLine();
//                     br.close();
//                 } catch (java.io.IOException e) {
//                     System.err.println("Error standard input");
//                     System.exit(1);
//                 }
//             }	

            // Get object reference
//-------------------------------------------------------------------------------------------------------------------
// zmenit na svlastni pocitac
            org.omg.CORBA.Object obj = orb.string_to_object("corbaloc:iiop:1.2@dacha.hi.inet:1968/Test");
            Test refTest = TestHelper.narrow(obj);


            String message = "Hola mundo";
            for (int i=0; i < 10; i++) {
                String response = refTest.echo(message);
                System.out.println("[client] response = " + response);
            }
            
            System.exit(0);
    	}
    	catch (Exception e) {
            System.err.println("Main: Unexpected exception " + e.getMessage());
            e.printStackTrace();
            System.exit(1);
        }
    }
}
