#!/bin/sh
#
# MORFEO Project
# http://www.morfeo-project.org
#
# Component: TIDorbJ
# Programming Language: Java
#
# File: $Source: /cvsroot/tidorbj/TIDorbJTest/performance/basic/startServer_JacORB.sh,v $
# Version: $Revision: 1.0 $
# Date: $Date: 2006/08/21 10:48:45 $
# Last modified by: $Author: iredondo $
#
# (C) Copyright 2004 Telefnica Investigacin y Desarrollo
#     S.A.Unipersonal (Telefnica I+D)
#
# Info about members and contributors of the MORFEO project
# is available at:
#
#   http://www.morfeo-project.org/TIDIdlc/CREDITS
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# If you want to use this software an plan to distribute a
# proprietary application in any way, and you are not licensing and
# distributing your source code under GPL, you probably need to
# purchase a commercial license of the product.  More info about
# licensing options is available at:
#
#   http://www.morfeo-project.org/TIDIdlc/Licensing
#

set +u

if [ -z "$JAVA_HOME" ]; then
	echo "Environment variable JAVA_HOME must be set"
	exit 1
fi

if [ -z "$JACORB_HOME" ]; then
	echo "Environment variable JACORB_HOME must be set"
	exit 1	
fi

export JVM=$JAVA_HOME/bin/java
$JVM -Djava.endorsed.dirs="$JACORB_HOME/lib" -classpath "$JACORB_HOME/lib/jacorb.jar;$JACORB_HOME/lib/logkit-1.2.jar;$JACORB_HOME/lib/avalon-framework-4.1.5.jar;$CLASSPATH" -Djacorb.home=$JACORB_HOME -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton Server jacorb.connection.max_server_connections 250

export JVM= 

