#!/bin/sh
#
# MORFEO Project
# http://www.morfeo-project.org
#
# Component: TIDorbJ
# Programming Language: Java
#
# File: $Source: /cvsroot/tidorbj/TIDorbJTest/performance/basic/startServer_TIDorvJ.sh,v $
# Version: $Revision: 1.0 $
# Date: $Date: 2006/08/21 10:58:32 $
# Last modified by: $Author: iredondo $
#
# (C) Copyright 2004 Telefnica Investigacin y Desarrollo
#     S.A.Unipersonal (Telefnica I+D)
#
# Info about members and contributors of the MORFEO project
# is available at:
#
#   http://www.morfeo-project.org/TIDIdlc/CREDITS
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# If you want to use this software an plan to distribute a
# proprietary application in any way, and you are not licensing and
# distributing your source code under GPL, you probably need to
# purchase a commercial license of the product.  More info about
# licensing options is available at:
#
#   http://www.morfeo-project.org/TIDIdlc/Licensing
#

set +u

if [ -z "$JAVA_HOME" ]; then
	echo "Environment variable JAVA_HOME must be set"
	exit 1
fi

if [ -z "$TIDORBJ_HOME" ]; then
	echo "Environment variable TIDORBJ_HOME must be set"
	exit 1	
fi


$TIDORBJ_HOME/bin/tidorbj.sh \
    -Dorg.omg.CORBA.ORBClass=es.tid.TIDorbj.core.TIDORB \
    -Dorg.omg.CORBA.ORBSingletonClass=es.tid.TIDorbj.core.SingletonORB \
    Server \
    es.tid.TIDorbj.typecode_cache_size 1000 \
    es.tid.TIDorbj.iiop.max_connections 250 \
    es.tid.TIDorbj.trace.file server.log \
    es.tid.TIDorbj.trace.level 0
