@echo off

rem
rem MORFEO Project
rem http://www.morfeo-project.org
rem
rem Component: TIDorbJ
rem Programming Language: Java
rem
rem File: $Source: /cvsroot/tidorbj/TIDorbJTest/performance/concurrent/build_JacORB.bat,v $
rem Version: $Revision: 1.0 $
rem Date: $Date: 2006/09/26 09:27:21 $
rem Last modified by: $Author: iredondo $
rem
rem (C) Copyright 2004 Telefnica Investigacin y Desarrollo
rem     S.A.Unipersonal (Telefnica I+D)
rem
rem Info about members and contributors of the MORFEO project
rem is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/CREDITS
rem
rem This program is free software; you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation; either version 2 of the License, or
rem (at your option) any later version.
rem
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
rem GNU General Public License for more details.
rem
rem You should have received a copy of the GNU General Public License
rem along with this program; if not, write to the Free Software
rem Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
rem
rem If you want to use this software an plan to distribute a
rem proprietary application in any way, and you are not licensing and
rem distributing your source code under GPL, you probably need to
rem purchase a commercial license of the product.  More info about
rem licensing options is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/Licensing
rem

if .%1. == .clean. (goto clean)

if .%JAVA_HOME%.==.. (goto JDK_NOT_DEF) else (goto JDK_OK)

:JDK_NOT_DEF
echo Environment variable JAVA_HOME must be set
exit /b 1

:JDK_OK

if .%JACORB_HOME%.==.. (goto JACORB_NOT_DEF) else (goto clean)

:JACORB_NOT_DEF
echo Environment variable JACORB_HOME must be set
exit /b 1

:clean

echo Clean directory
if "%OS%"=="Windows_NT" goto nt
deltree /y Test 2> nul
del *.class 2> nul 
del *.ior 2> nul
del *.result 2> nul
goto end_clean
:nt
rd /s /q Test 2> nul
del /q *.class 2> nul
del /q *.ior 2> nul
del /q *.result 2> nul

:end_clean
if .%1. == .clean. (goto end)
 
echo Compile Test.idl
set JVM=%JAVA_HOME%\bin\java
%JVM% -classpath "%JACORB_HOME%\lib\idl.jar;%JACORB_HOME%\lib\logkit-1.2.jar;%CLASSPATH%" org.jacorb.idl.parser Test.idl

echo Compile Java files generated
%JAVA_HOME%\bin\javac *.java Test\*.java

:end
