/*
 * MORFEO Project
 * http://www.morfeo-project.org
 *
 * Component: TIDorbJTest
 * Programming Language: Java
 *
 * File: $Source: MyValueTypeTesterImpl.java $
 * Version: $Revision: 1.0 $
 * Date: $Date: 10-ago-2006 $
 * Last modified by: $Author: irenka.redondo $
 *
 * (C) Copyright 2004 Telefnica Investigacin y Desarrollo
 *     S.A.Unipersonal (Telefnica I+D)
 *
 * Info about members and contributors of the MORFEO project
 * is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/CREDITS
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * If you want to use this software an plan to distribute a
 * proprietary application in any way, and you are not licensing and
 * distributing your source code under GPL, you probably need to
 * purchase a commercial license of the product.  More info about
 * licensing options is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/Licensing
 */

import Test.*;

public class MyValueTypeTesterImpl extends ValueTypeTesterPOA {
    
    public void op1(SimpleValueType myvalue){
        System.out.println("[MyValueTypeTesterImpl] op1..");
        System.out.println("[MyValueTypeTesterImpl]  value.num = " + myvalue.num);
    }

    public void op2(SimpleValueTypeHolder holder){
        System.out.println("[MyValueTypeTesterImpl] op2..");
        short num = 2;
        holder = new SimpleValueTypeHolder(new MySimpleValueTypeImpl(num));
    }

    public void op3(SimpleValueTypeHolder holder){
        System.out.println("[MyValueTypeTesterImpl] op3..");
        System.out.println("[MyValueTypeTesterImpl]  value.num = " + holder.value.num);
        holder.value.num = 33;
    }

    public SimpleValueType op4(){
        System.out.println("[MyValueTypeTesterImpl] op4..");
        short num = 4;
        return new MySimpleValueTypeImpl(num);
    }
    
    public void op5(ComplexValueType myvalue){
        System.out.println("[MyValueTypeTesterImpl] op5..");
    }
    
    public void op6(ComplexValueTypeHolder myvalue){
        System.out.println("[MyValueTypeTesterImpl] op6..");
        String name = "op5"; 
        short num = 5;
        myvalue = new ComplexValueTypeHolder(new MyComplexValueTypeImpl(num, name));
    }

    public void op7(ComplexValueTypeHolder myvalue){
        System.out.println("[MyValueTypeTesterImpl] op7..");
    }

    public ComplexValueType op8(){
        System.out.println("[MyValueTypeTesterImpl] op8..");
        return new MyComplexValueTypeImpl();
    }


    // TODO: add a any operation
    
}
