import Test.*;
import org.omg.PortableServer.*;


public class ControllerImpl extends ControllerPOA {
    private POA m_poa;
    private org.omg.CORBA.ORB m_orb;
    
    public ControllerImpl(POA poa, org.omg.CORBA.ORB orb) {
        m_poa = poa;
    }

    public Test.Thermometer getThermometer(int asset_num) {
        String str = String.valueOf(asset_num);
        System.out.println("[ControllerImpl.getThermometer]  str: " + str);
        byte[] oid = str.getBytes();
        
        org.omg.CORBA.Object obj = null;
        try {
            obj = m_poa.create_reference_with_id(oid, ThermometerHelper.id());
        } catch (Exception e) {
            System.err.println("[ControllerImpl.getThermometer create_rerefence " + e.getMessage());
            e.printStackTrace();
        }
        return ThermometerHelper.narrow(obj);
    }
    
    public void shutdown() {
        System.err.println("[MyEchoTestImpl shutdown] called");
        m_orb.shutdown(true);
    }



} // class ControllerImpl
