import org.omg.CORBA.Any;
import org.omg.IOP.CodecPackage.InvalidTypeForEncoding;

import Echo.BarPOA;
//import MW_Invocation.InvocationRequest;
/*
 * MORFEO Project
 * http://www.morfeo-project.org
 *
 * Component: TIDorbJTest_Java
 * Programming Language: Java
 *
 * File: $Source: BarImpl.java $
 * Version: $Revision: 1.0 $
 * Date: $Date: 11-ago-2006 $
 * Last modified by: $Author: irenka.redondo $
 *
 * (C) Copyright 2004 Telefnica Investigacin y Desarrollo
 *     S.A.Unipersonal (Telefnica I+D)
 *
 * Info about members and contributors of the MORFEO project
 * is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/CREDITS
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * If you want to use this software an plan to distribute a
 * proprietary application in any way, and you are not licensing and
 * distributing your source code under GPL, you probably need to
 * purchase a commercial license of the product.  More info about
 * licensing options is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/Licensing
 */
public class BarImpl extends BarPOA {
	
    private org.omg.CORBA.ORB m_orb;
    private org.omg.PortableServer.POA m_poa;
    private Echo.Foo m_foo_ref;
    private Echo.Foo2 m_foo2_ref;
    private Echo.FooMIOP m_fooMIOP_ref;
    private org.omg.IOP.Codec m_codec;
    private int count;
	
    public BarImpl (String server_name, org.omg.CORBA.ORB orb, org.omg.PortableServer.POA poa,
                    org.omg.IOP.Codec codec, Echo.Foo foo_ref, Echo.Foo2 foo2_ref, Echo.FooMIOP fooMIOP_ref) {

        String buffer;
        System.err.println("[BarImpl] creating BarImpl");
        this.m_orb = orb;
        this.m_poa = poa;
        this.m_foo_ref = foo_ref;
        this.m_foo2_ref = foo2_ref;
        this.m_fooMIOP_ref = fooMIOP_ref;
        this.m_codec = codec;
        this.count = 0;
    }

    public void push(Any value) {
        // Encode
        try {
            byte [] buffer = this.m_codec.encode(value);
            this.m_fooMIOP_ref.push(buffer);
        } catch (InvalidTypeForEncoding e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } 
    }

    public void push3(Any value) {
        this.m_foo_ref.push3(value);
        this.m_foo2_ref.push3(value);
    }

//     public void push_invocation(InvocationRequest inv) {
//         // TODO Auto-generated method stub

//     }

}
