import java.io.BufferedReader;
import java.io.InputStreamReader;

import org.omg.CORBA.Any;
import org.omg.IOP.CodecPackage.FormatMismatch;

import Echo.Foo2Helper;
import Echo.FooMIOPPOA;
import Echo._ReliablePackage;
/*
 * MORFEO Project
 * http://www.morfeo-project.org
 *
 * Component: TIDorbJTest_Java
 * Programming Language: Java
 *
 * File: $Source: FooMIOPImpl.java $
 * Version: $Revision: 1.0 $
 * Date: $Date: 14-ago-2006 $
 * Last modified by: $Author: irenka.redondo $
 *
 * (C) Copyright 2004 Telefnica Investigacin y Desarrollo
 *     S.A.Unipersonal (Telefnica I+D)
 *
 * Info about members and contributors of the MORFEO project
 * is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/CREDITS
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * If you want to use this software an plan to distribute a
 * proprietary application in any way, and you are not licensing and
 * distributing your source code under GPL, you probably need to
 * purchase a commercial license of the product.  More info about
 * licensing options is available at:
 *
 *   http://www.morfeo-project.org/TIDorbJ/Licensing
 */
public class FooMIOPImpl extends FooMIOPPOA {

    private org.omg.CORBA.ORB m_orb;
    private org.omg.IOP.Codec m_codec;
    private Echo.Foo2 m_foo2_ref;
	
//     public FooMIOPImpl (String server_name, org.omg.CORBA.ORB orb, 
//                         org.omg.IOP.Codec codec) {
//         String buffer;
//         System.err.println("[FooMIOPImpl] creating FooImpl");
//         this.m_orb = orb;
		
//         // Lee de la entrada estndar la referencia al servidor
//         try {
//             BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
//             buffer = br.readLine();
//             br.close();
//         } catch (java.io.IOException e) {
//             System.err.println("Error standard input");
//             return;
//         }

//         // Particulariza la referencia
//         org.omg.CORBA.Object obj = orb.string_to_object(buffer);
//         this.m_foo2_ref = Foo2Helper.narrow(obj);
//         this.m_codec = codec;
//     }
	
    public FooMIOPImpl (String server_name, 
                        org.omg.CORBA.ORB orb, 
                        org.omg.IOP.Codec codec, 
                        Echo.Foo2 foo2_ref) {
        System.err.println("[FooMIOPImpl] creating FooMIOPImpl");
        this.m_orb = orb;
        this.m_foo2_ref = foo2_ref;
        this.m_codec = codec;
    }
	
    public void push(byte[] value) {
        // Decode
        org.omg.CORBA.Any value_result;
        try {
            value_result = this.m_codec.decode(value);
            this.m_foo2_ref.push(value_result);
        } catch (FormatMismatch e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }

    public void push2(_ReliablePackage pac) {
        // Decode
        org.omg.CORBA.Any value_result;
        try {
            value_result = this.m_codec.decode(pac.data);
            this.m_foo2_ref.push2(value_result);
        } catch (FormatMismatch e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }	
    }

    public void push3(Any value) {
        this.m_foo2_ref.push3(value);
    }

    public void push_radar(byte[] value) {
        // Decode
        org.omg.CORBA.Any value_result;
        try {
            value_result = this.m_codec.decode(value);
            this.m_foo2_ref.push_radar(value_result);
        } catch (FormatMismatch e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }	
    }

    public void push_invocation(byte[] value) {

    }

    public void shutdown() {
        System.err.println("[FooMIOPImpl shutdown] called");
        this.m_foo2_ref.shutdown();
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        m_orb.shutdown(true);
    }

}
