//
// StateVectorHelper.java (helper)
//
// File generated: Thu Feb 28 13:09:31 CET 2008
//   by TIDorb idl2java 1.3.5
//

package Marshalling;

abstract public class StateVectorHelper {

  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }

  public static void insert(org.omg.CORBA.Any any, StateVector value) {
    any.insert_Streamable(new StateVectorHolder(value));
  };

  public static StateVector extract(org.omg.CORBA.Any any) {
    if(any instanceof es.tid.CORBA.Any) {
      try {
        org.omg.CORBA.portable.Streamable holder =
          ((es.tid.CORBA.Any)any).extract_Streamable();
        if(holder instanceof StateVectorHolder){
          return ((StateVectorHolder) holder).value;
        }
      } catch (Exception e) {}
    }

    return read(any.create_input_stream());
  };

  private static org.omg.CORBA.TypeCode _type = null;
  public static org.omg.CORBA.TypeCode type() {
    if (_type == null) {
      org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[12];
      members[0] = new org.omg.CORBA.StructMember("last_update_time", Marshalling.ADurationHelper.type(), null);
      members[1] = new org.omg.CORBA.StructMember("track_status", Marshalling.TrackStatusHelper.type(), null);
      members[2] = new org.omg.CORBA.StructMember("track_quality", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_ushort), null);
      members[3] = new org.omg.CORBA.StructMember("latlong_position", Marshalling.LatLong2DPositionHelper.type(), null);
      members[4] = new org.omg.CORBA.StructMember("calculated_track_altitude", Marshalling.CalculatedTrackAltitudeHelper.type(), null);
      members[5] = new org.omg.CORBA.StructMember("last_mesured_mode_C", Marshalling.LastMesuredModeCHelper.type(), null);
      members[6] = new org.omg.CORBA.StructMember("track_velocity", Marshalling.TrackVelocityHelper.type(), null);
      members[7] = new org.omg.CORBA.StructMember("track_tendencies", Marshalling.TendenciesHelper.type(), null);
      members[8] = new org.omg.CORBA.StructMember("rate_of_climb_descent", Marshalling.FeetPerMinuteHelper.type(), null);
      members[9] = new org.omg.CORBA.StructMember("rate_of_turn", Marshalling.DegreesPerSecondHelper.type(), null);
      members[10] = new org.omg.CORBA.StructMember("Plot_Age", Marshalling.PlotAgeHelper.type(), null);
      members[11] = new org.omg.CORBA.StructMember("Mesured_Position", Marshalling.MesuredPositionHelper.type(), null);
      _type = _orb().create_struct_tc(id(), "StateVector", members);
    }
    return _type;
  };

  public static String id() {
    return "IDL:Marshalling/StateVector:1.0";
  };

  public static StateVector read(org.omg.CORBA.portable.InputStream is) {
    StateVector result = new StateVector();
    result.last_update_time = Marshalling.ADurationHelper.read(is);
    result.track_status = Marshalling.TrackStatusHelper.read(is);
    result.track_quality = is.read_ushort();
    result.latlong_position = Marshalling.LatLong2DPositionHelper.read(is);
    result.calculated_track_altitude = Marshalling.CalculatedTrackAltitudeHelper.read(is);
    result.last_mesured_mode_C = Marshalling.LastMesuredModeCHelper.read(is);
    result.track_velocity = Marshalling.TrackVelocityHelper.read(is);
    result.track_tendencies = Marshalling.TendenciesHelper.read(is);
    result.rate_of_climb_descent = Marshalling.FeetPerMinuteHelper.read(is);
    result.rate_of_turn = Marshalling.DegreesPerSecondHelper.read(is);
    result.Plot_Age = Marshalling.PlotAgeHelper.read(is);
    result.Mesured_Position = Marshalling.MesuredPositionHelper.read(is);
    return result;
  };

  public static void write(org.omg.CORBA.portable.OutputStream os, StateVector val) {
    Marshalling.ADurationHelper.write(os,val.last_update_time);
    Marshalling.TrackStatusHelper.write(os,val.track_status);
    os.write_ushort(val.track_quality);
    Marshalling.LatLong2DPositionHelper.write(os,val.latlong_position);
    Marshalling.CalculatedTrackAltitudeHelper.write(os,val.calculated_track_altitude);
    Marshalling.LastMesuredModeCHelper.write(os,val.last_mesured_mode_C);
    Marshalling.TrackVelocityHelper.write(os,val.track_velocity);
    Marshalling.TendenciesHelper.write(os,val.track_tendencies);
    Marshalling.FeetPerMinuteHelper.write(os,val.rate_of_climb_descent);
    Marshalling.DegreesPerSecondHelper.write(os,val.rate_of_turn);
    Marshalling.PlotAgeHelper.write(os,val.Plot_Age);
    Marshalling.MesuredPositionHelper.write(os,val.Mesured_Position);
  };

}
