//
// TrackStatusHelper.java (helper)
//
// File generated: Fri Apr 04 14:11:31 CEST 2008
//   by TIDorb idl2java 1.3.5
//

package Marshalling;

abstract public class TrackStatusHelper {

  private static org.omg.CORBA.ORB _orb() {
    return org.omg.CORBA.ORB.init();
  }

  public static void insert(org.omg.CORBA.Any any, TrackStatus value) {
    any.insert_Streamable(new TrackStatusHolder(value));
  };

  public static TrackStatus extract(org.omg.CORBA.Any any) {
    if(any instanceof es.tid.CORBA.Any) {
      try {
        org.omg.CORBA.portable.Streamable holder =
          ((es.tid.CORBA.Any)any).extract_Streamable();
        if(holder instanceof TrackStatusHolder){
          return ((TrackStatusHolder) holder).value;
        }
      } catch (Exception e) {}
    }

    return read(any.create_input_stream());
  };

  private static org.omg.CORBA.TypeCode _type = null;
  public static org.omg.CORBA.TypeCode type() {
    if (_type == null) {
      org.omg.CORBA.StructMember[] members = new org.omg.CORBA.StructMember[13];
      members[0] = new org.omg.CORBA.StructMember("target_type", Marshalling.TargetTypeHelper.type(), null);
      members[1] = new org.omg.CORBA.StructMember("track_type", Marshalling.TrackTypeHelper.type(), null);
      members[2] = new org.omg.CORBA.StructMember("uses_aircraft_derived_data", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[3] = new org.omg.CORBA.StructMember("is_coasted", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[4] = new org.omg.CORBA.StructMember("is_coasted_apart_from_lateral_trac", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[5] = new org.omg.CORBA.StructMember("radar_update", Marshalling.RadarUpdateHelper.type(), null);
      members[6] = new org.omg.CORBA.StructMember("is_terminated", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[7] = new org.omg.CORBA.StructMember("is_created", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[8] = new org.omg.CORBA.StructMember("slant_range_code", Marshalling.SlantRangeCodeHelper.type(), null);
      members[9] = new org.omg.CORBA.StructMember("special_code", Marshalling.SpecialCodeHelper.type(), null);
      members[10] = new org.omg.CORBA.StructMember("is_amalgamated", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[11] = new org.omg.CORBA.StructMember("is_spi_set", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      members[12] = new org.omg.CORBA.StructMember("is_military_emergency", org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.tk_boolean), null);
      _type = _orb().create_struct_tc(id(), "TrackStatus", members);
    }
    return _type;
  };

  public static String id() {
    return "IDL:Marshalling/TrackStatus:1.0";
  };

  public static TrackStatus read(org.omg.CORBA.portable.InputStream is) {
    TrackStatus result = new TrackStatus();
    result.target_type = Marshalling.TargetTypeHelper.read(is);
    result.track_type = Marshalling.TrackTypeHelper.read(is);
    result.uses_aircraft_derived_data = is.read_boolean();
    result.is_coasted = is.read_boolean();
    result.is_coasted_apart_from_lateral_trac = is.read_boolean();
    result.radar_update = Marshalling.RadarUpdateHelper.read(is);
    result.is_terminated = is.read_boolean();
    result.is_created = is.read_boolean();
    result.slant_range_code = Marshalling.SlantRangeCodeHelper.read(is);
    result.special_code = Marshalling.SpecialCodeHelper.read(is);
    result.is_amalgamated = is.read_boolean();
    result.is_spi_set = is.read_boolean();
    result.is_military_emergency = is.read_boolean();
    return result;
  };

  public static void write(org.omg.CORBA.portable.OutputStream os, TrackStatus val) {
    Marshalling.TargetTypeHelper.write(os,val.target_type);
    Marshalling.TrackTypeHelper.write(os,val.track_type);
    os.write_boolean(val.uses_aircraft_derived_data);
    os.write_boolean(val.is_coasted);
    os.write_boolean(val.is_coasted_apart_from_lateral_trac);
    Marshalling.RadarUpdateHelper.write(os,val.radar_update);
    os.write_boolean(val.is_terminated);
    os.write_boolean(val.is_created);
    Marshalling.SlantRangeCodeHelper.write(os,val.slant_range_code);
    Marshalling.SpecialCodeHelper.write(os,val.special_code);
    os.write_boolean(val.is_amalgamated);
    os.write_boolean(val.is_spi_set);
    os.write_boolean(val.is_military_emergency);
  };

}
