/*
* MORFEO Project
* http://www.morfeo-project.org
*
* Component: TIDorbJTest
* Programming Language: Java
*
* File: $Source: Tester3Impl.java $
* Version: $Revision: 1.0 $
* Date: $Date: 22-sep-2006 $
* Last modified by: $Author: irenka.redondo $
*
* (C) Copyright 2004 Telefnica Investigacin y Desarrollo
*     S.A.Unipersonal (Telefnica I+D)
*
* Info about members and contributors of the MORFEO project
* is available at:
*
*   http://www.morfeo-project.org/TIDorbJ/CREDITS
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*
* If you want to use this software an plan to distribute a
* proprietary application in any way, and you are not licensing and
* distributing your source code under GPL, you probably need to
* purchase a commercial license of the product.  More info about
* licensing options is available at:
*
*   http://www.morfeo-project.org/TIDorbJ/Licensing
*/

import org.omg.CORBA.Any;
import org.omg.CORBA.ORB;
import org.omg.CORBA.SystemException;
import org.omg.IOP.Codec;
import org.omg.PortableServer.POA;

import Test.Tester6POA;

public class Tester6Impl extends Tester6POA {

    private ORB m_orb;
    private POA m_poa;
    private Codec m_codec;

    private int m_events;  // Numero total de eventos esperados
    private int m_clients;
    private int m_clients_to_wait;
    

    public Tester6Impl (String server_name, 
                        ORB orb, 
                        POA poa, 
                        Codec codec) 
    {
        m_orb = orb;
        m_poa = poa;
        m_codec = codec;
		
        m_events = 0;
        m_clients = 0;
        m_clients_to_wait = 0; //number_clients_to_wait;
        
    }

    public void register_client(int id, int events) {
        // actualizar el numero de eventos
        // ...
    }

    public boolean synchronize_client() {
        return false;
    }
    
    public void opIN(byte[] seq) {
        
    }
        
    public void opOUT(Test.ByteSequenceHolder seq) {
        byte[] value = new byte[1000];
        seq = new Test.ByteSequenceHolder(value);
    }
    
    public void opINOUT(Test.ByteSequenceHolder seq) {
    }

    public byte[] opRET() {
        byte [] ret = new byte[1000];
        return ret;
    }


}
