@echo off

rem
rem MORFEO Project
rem http://www.morfeo-project.org
rem
rem Component: TIDorbJ
rem Programming Language: Java
rem
rem File: $Source: /cvsroot/tidorbj/TIDorbJTest/performance/concurrent/startClientsMT_JacORB.bat,v $
rem Version: $Revision: 1.0 $
rem Date: $Date: 2006/09/26 09:49:13 $
rem Last modified by: $Author: iredondo $
rem
rem (C) Copyright 2004 Telefnica Investigacin y Desarrollo
rem     S.A.Unipersonal (Telefnica I+D)
rem
rem Info about members and contributors of the MORFEO project
rem is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/CREDITS
rem
rem This program is free software; you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation; either version 2 of the License, or
rem (at your option) any later version.
rem
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
rem GNU General Public License for more details.
rem
rem You should have received a copy of the GNU General Public License
rem along with this program; if not, write to the Free Software
rem Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
rem
rem If you want to use this software an plan to distribute a
rem proprietary application in any way, and you are not licensing and
rem distributing your source code under GPL, you probably need to
rem purchase a commercial license of the product.  More info about
rem licensing options is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/Licensing
rem

if .%JAVA_HOME%.==.. (goto JDK_NOT_DEF) else (goto JDK_OK)

:JDK_NOT_DEF
echo Environment variable JAVA_HOME must be set
exit /b 1

:JDK_OK

if .%JACORB_HOME%.==.. (goto JACORB_NOT_DEF) else (goto JACORB_OK)

:JACORB_NOT_DEF
echo Environment variable JACORB_HOME must be set
exit /b 1

:JACORB_OK

if .%1.==.. (goto NO_ARGS) else (goto ARGS_OK)

:NO_ARGS
echo Usage: startClientsMT_JacORB.bat num_threads
exit /b 1

:ARGS_OK

set /A nevents = 3000
set /A nthreads = %1

set JVM=%JAVA_HOME%\bin\java

rem Start 1 client with nthreads with nevents in phase
for /L %%i in (1, 1, 3) do %JVM% -Djava.endorsed.dirs="%JACORB_HOME%\lib" -classpath "%JACORB_HOME%\lib\jacorb.jar;%JACORB_HOME%\lib\logkit-1.2.jar;%JACORB_HOME%\lib\avalon-framework-4.1.5.jar;%CLASSPATH%" -Djacorb.home=%JACORB_HOME% -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton ClientMT 1 %nevents% %%i %nthreads% jacorb.connection.client.pending_reply_timeout 150000

set JVM = 

