@echo off

rem
rem MORFEO Project
rem http://www.morfeo-project.org
rem
rem Component: TIDorbJ
rem Programming Language: Java
rem
rem File: $Source: /cvsroot/tidorbj/TIDorbJTest/performance/basic/startClientsMT_VisiBroker.bat,v $
rem Version: $Revision: 1.0 $
rem Date: $Date: 2006/09/22 14:41:08 $
rem Last modified by: $Author: iredondo $
rem
rem (C) Copyright 2004 Telefnica Investigacin y Desarrollo
rem     S.A.Unipersonal (Telefnica I+D)
rem
rem Info about members and contributors of the MORFEO project
rem is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/CREDITS
rem
rem This program is free software; you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation; either version 2 of the License, or
rem (at your option) any later version.
rem
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
rem GNU General Public License for more details.
rem
rem You should have received a copy of the GNU General Public License
rem along with this program; if not, write to the Free Software
rem Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
rem
rem If you want to use this software an plan to distribute a
rem proprietary application in any way, and you are not licensing and
rem distributing your source code under GPL, you probably need to
rem purchase a commercial license of the product.  More info about
rem licensing options is available at:
rem
rem   http://www.morfeo-project.org/TIDIdlc/Licensing
rem

if .%VISIBROKER_HOME%.==.. (goto VISIBROKER_NOT_DEF) else (goto VISIBROKER_OK)

:VISIBROKER_NOT_DEF
echo Environment variable VISIBROKER_HOME must be set
exit /b 1

:VISIBROKER_OK

if .%1.==.. (goto NO_ARGS) else (goto ARGS_OK)

:NO_ARGS
echo Usage: startClients_VisiBroker.bat num_threads
exit /b 1

:ARGS_OK

set /A nevents = 3000
set /A nthreads = %1

rem Start 1 client with nthreads with nevents in phase
for /L %%i in (1, 1, 3) do %VISIBROKER_HOME%\bin\vbj ClientMT 1 %nevents% %%i %nthreads% -DORBconnectionMaxIdle=150000

rem set JVM = 




